SUSE Security Update: Security update for polkit
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:0190-1
Rating:             important
References:         #1194568 
Cross-References:   CVE-2021-4034
Affected Products:
                    SUSE MicroOS 5.1
                    SUSE MicroOS 5.0
                    SUSE Manager Server 4.1
                    SUSE Manager Retail Branch Server 4.1
                    SUSE Manager Proxy 4.1
                    SUSE Linux Enterprise Server for SAP 15-SP2
                    SUSE Linux Enterprise Server 15-SP2-LTSS
                    SUSE Linux Enterprise Server 15-SP2-BCL
                    SUSE Linux Enterprise Module for Basesystem 15-SP3
                    SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS
                    SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS
                    SUSE Enterprise Storage 7
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for polkit fixes the following issues:

   - CVE-2021-4034: Fixed a local privilege escalation in pkexec
     (bsc#1194568).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE MicroOS 5.1:

      zypper in -t patch SUSE-SUSE-MicroOS-5.1-2022-190=1

   - SUSE MicroOS 5.0:

      zypper in -t patch SUSE-SUSE-MicroOS-5.0-2022-190=1

   - SUSE Manager Server 4.1:

      zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Server-4.1-2022-190=1

   - SUSE Manager Retail Branch Server 4.1:

      zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.1-2022-190=1

   - SUSE Manager Proxy 4.1:

      zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Proxy-4.1-2022-190=1

   - SUSE Linux Enterprise Server for SAP 15-SP2:

      zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP2-2022-190=1

   - SUSE Linux Enterprise Server 15-SP2-LTSS:

      zypper in -t patch SUSE-SLE-Product-SLES-15-SP2-LTSS-2022-190=1

   - SUSE Linux Enterprise Server 15-SP2-BCL:

      zypper in -t patch SUSE-SLE-Product-SLES-15-SP2-BCL-2022-190=1

   - SUSE Linux Enterprise Module for Basesystem 15-SP3:

      zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP3-2022-190=1

   - SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS:

      zypper in -t patch SUSE-SLE-Product-HPC-15-SP2-LTSS-2022-190=1

   - SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS:

      zypper in -t patch SUSE-SLE-Product-HPC-15-SP2-ESPOS-2022-190=1

   - SUSE Enterprise Storage 7:

      zypper in -t patch SUSE-Storage-7-2022-190=1



Package List:

   - SUSE MicroOS 5.1 (aarch64 s390x x86_64):

      libpolkit0-0.116-3.6.1
      libpolkit0-debuginfo-0.116-3.6.1
      polkit-0.116-3.6.1
      polkit-debuginfo-0.116-3.6.1
      polkit-debugsource-0.116-3.6.1

   - SUSE MicroOS 5.0 (aarch64 x86_64):

      libpolkit0-0.116-3.6.1
      libpolkit0-debuginfo-0.116-3.6.1
      polkit-0.116-3.6.1
      polkit-debuginfo-0.116-3.6.1
      polkit-debugsource-0.116-3.6.1

   - SUSE Manager Server 4.1 (ppc64le s390x x86_64):

      libpolkit0-0.116-3.6.1
      libpolkit0-debuginfo-0.116-3.6.1
      polkit-0.116-3.6.1
      polkit-debuginfo-0.116-3.6.1
      polkit-debugsource-0.116-3.6.1
      polkit-devel-0.116-3.6.1
      polkit-devel-debuginfo-0.116-3.6.1
      typelib-1_0-Polkit-1_0-0.116-3.6.1

   - SUSE Manager Retail Branch Server 4.1 (x86_64):

      libpolkit0-0.116-3.6.1
      libpolkit0-debuginfo-0.116-3.6.1
      polkit-0.116-3.6.1
      polkit-debuginfo-0.116-3.6.1
      polkit-debugsource-0.116-3.6.1
      polkit-devel-0.116-3.6.1
      polkit-devel-debuginfo-0.116-3.6.1
      typelib-1_0-Polkit-1_0-0.116-3.6.1

   - SUSE Manager Proxy 4.1 (x86_64):

      libpolkit0-0.116-3.6.1
      libpolkit0-debuginfo-0.116-3.6.1
      polkit-0.116-3.6.1
      polkit-debuginfo-0.116-3.6.1
      polkit-debugsource-0.116-3.6.1
      polkit-devel-0.116-3.6.1
      polkit-devel-debuginfo-0.116-3.6.1
      typelib-1_0-Polkit-1_0-0.116-3.6.1

   - SUSE Linux Enterprise Server for SAP 15-SP2 (ppc64le x86_64):

      libpolkit0-0.116-3.6.1
      libpolkit0-debuginfo-0.116-3.6.1
      polkit-0.116-3.6.1
      polkit-debuginfo-0.116-3.6.1
      polkit-debugsource-0.116-3.6.1
      polkit-devel-0.116-3.6.1
      polkit-devel-debuginfo-0.116-3.6.1
      typelib-1_0-Polkit-1_0-0.116-3.6.1

   - SUSE Linux Enterprise Server 15-SP2-LTSS (aarch64 ppc64le s390x x86_64):

      libpolkit0-0.116-3.6.1
      libpolkit0-debuginfo-0.116-3.6.1
      polkit-0.116-3.6.1
      polkit-debuginfo-0.116-3.6.1
      polkit-debugsource-0.116-3.6.1
      polkit-devel-0.116-3.6.1
      polkit-devel-debuginfo-0.116-3.6.1
      typelib-1_0-Polkit-1_0-0.116-3.6.1

   - SUSE Linux Enterprise Server 15-SP2-BCL (x86_64):

      libpolkit0-0.116-3.6.1
      libpolkit0-debuginfo-0.116-3.6.1
      polkit-0.116-3.6.1
      polkit-debuginfo-0.116-3.6.1
      polkit-debugsource-0.116-3.6.1
      polkit-devel-0.116-3.6.1
      polkit-devel-debuginfo-0.116-3.6.1
      typelib-1_0-Polkit-1_0-0.116-3.6.1

   - SUSE Linux Enterprise Module for Basesystem 15-SP3 (aarch64 ppc64le s390x x86_64):

      libpolkit0-0.116-3.6.1
      libpolkit0-debuginfo-0.116-3.6.1
      polkit-0.116-3.6.1
      polkit-debuginfo-0.116-3.6.1
      polkit-debugsource-0.116-3.6.1
      polkit-devel-0.116-3.6.1
      polkit-devel-debuginfo-0.116-3.6.1
      typelib-1_0-Polkit-1_0-0.116-3.6.1

   - SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (aarch64 x86_64):

      libpolkit0-0.116-3.6.1
      libpolkit0-debuginfo-0.116-3.6.1
      polkit-0.116-3.6.1
      polkit-debuginfo-0.116-3.6.1
      polkit-debugsource-0.116-3.6.1
      polkit-devel-0.116-3.6.1
      polkit-devel-debuginfo-0.116-3.6.1
      typelib-1_0-Polkit-1_0-0.116-3.6.1

   - SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (aarch64 x86_64):

      libpolkit0-0.116-3.6.1
      libpolkit0-debuginfo-0.116-3.6.1
      polkit-0.116-3.6.1
      polkit-debuginfo-0.116-3.6.1
      polkit-debugsource-0.116-3.6.1
      polkit-devel-0.116-3.6.1
      polkit-devel-debuginfo-0.116-3.6.1
      typelib-1_0-Polkit-1_0-0.116-3.6.1

   - SUSE Enterprise Storage 7 (aarch64 x86_64):

      libpolkit0-0.116-3.6.1
      libpolkit0-debuginfo-0.116-3.6.1
      polkit-0.116-3.6.1
      polkit-debuginfo-0.116-3.6.1
      polkit-debugsource-0.116-3.6.1
      polkit-devel-0.116-3.6.1
      polkit-devel-debuginfo-0.116-3.6.1
      typelib-1_0-Polkit-1_0-0.116-3.6.1


References:

   https://www.suse.com/security/cve/CVE-2021-4034.html
   https://bugzilla.suse.com/1194568